Subject: Re: Maths ruined when optimizing in gcc
From: [email-masked] (Woodrow Setzer)

18 Nov 1996 14:55:24 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.GSO.3.95.961118100251.13871A-100000.cygnus.gnu-win32@rsdws3>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Content-Transfer-Encoding: QUOTED-PRINTABLE
Original-To: "Pedro A. Aranda =?iso-8859-1?Q?Guti=E9rrez?=" <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Fri, 15 Nov 1996, Pedro A. Aranda [iso-8859-1] Guti=E9rrez wrote:

> ...
> When I compile WITHOUT optimization, floating point
> ops are ok. If I dare do any optimization, I always
> get all sorts of errors.
>=20
> Has anyone experieced a similar thing?

This may be related.  I am working with an f2c-converted version of
dmngb.f, one of the routines for optimization from the ATT PORT library.=20
It compiles and works OK using gcc 2.7.2.1 under Solaris 2.3 on a Sun
Sparc 20 using the option -O.  Under cyg-win32 and the same option, the
code compiles and runs without compile-time or run-time errors, but I get
the wrong answer.  If I omit the -O flag on the compiler invocation under
cyg-win32, I get essentially the same answer as I do on the Sun.=20

--
R. Woodrow Setzer, Jr.            Phone: 919-541-0128
Biometry Branch MD-55               FAX: 919-541-5394
National Health and Environmental Research Laboratory, US EPA
Research Triangle Park, NC 27711

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".